////////////////////////////////////////////////////////////////////////////////
//                               FastMines project
//                                       Sergey Krivulya (KSerg, aka SeregaLBN)
// file name: "resource.h"
// Copyright (C) 2002-2007 Sergey Krivulya
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////
//
// 2007.03.01
//    :
//    IDC_CHANGESKIN_STATIC_WIDHT   IDC_CHANGESKIN_EDIT_VALUE_DESCRIPTION
//    IDC_CHANGESKIN_EDIT_WIDHT     IDC_CHANGESKIN_EDIT_VALUE
//    IDC_CHANGESKIN_SPIN_WIDHT     IDC_CHANGESKIN_SPIN_VALUE
//
////////////////////////////////////////////////////////////////////////////////

#ifndef __FILE__IDRESOURCE__
#define __FILE__IDRESOURCE__

// menu
#define IDM_GAME_NEW_GAME          101
#define IDM_GAME_BEGINNER           102
#define IDM_GAME_AMATEUR            103
#define IDM_GAME_PROFESSIONAL       104
#define IDM_GAME_CRAZY              105
#define IDM_GAME_CUSTOM             106
#define IDM_GAME_CREATE            107
#define IDM_GAME_SAVE              108
#define IDM_GAME_LOAD              109
#define IDM_GAME_PLAYERS           110
#define IDM_GAME_EXIT              111
#define IDM_MOSAIC_TRIANGLE1   200
#define IDM_MOSAIC_TRIANGLE2   201
#define IDM_MOSAIC_TRIANGLE3   202
#define IDM_MOSAIC_TRIANGLE4   203
#define IDM_MOSAIC_SQUARE1     204
#define IDM_MOSAIC_SQUARE2     205
#define IDM_MOSAIC_PARQUET1    206
#define IDM_MOSAIC_PARQUET2    207
#define IDM_MOSAIC_TRAPEZOID1  208
#define IDM_MOSAIC_TRAPEZOID2  209
#define IDM_MOSAIC_TRAPEZOID3  210
#define IDM_MOSAIC_RHOMBUS1    211
#define IDM_MOSAIC_QUADRANGLE1 212
#define IDM_MOSAIC_PENTAGONT24 213
#define IDM_MOSAIC_PENTAGONT5  214
#define IDM_MOSAIC_PENTAGONT10 215
#define IDM_MOSAIC_HEXAGON1    216
#define IDM_MOSAIC_TRSQ1       217
#define IDM_MOSAIC_TRSQ2       218
#define IDM_MOSAIC_SQTRHEX     219
#define IDM_OPTIONS_ALWAYSMAXSIZE     120
#define IDM_OPTIONS_USE_UNKNOWN       121
#define IDM_OPTIONS_SHOW_TOOLBAR      122
#define IDM_OPTIONS_SHOW_MENU         123
#define IDM_OPTIONS_SHOW_CAPTION      124
#define IDM_OPTIONS_TO_TRAY           125
#define IDM_OPTIONS_SKIN_LOAD          126
#define IDM_OPTIONS_SKIN_SAVE          127
#define IDM_OPTIONS_SKIN_CHANGE        128
#define IDM_OPTIONS_SKIN_WEB_SKIN_PAGE 129
#define IDM_OPTIONS_LANG_LOAD          130
#define IDM_HELP_CHAMPIONS      131
#define IDM_HELP_STATISTICS     132
#define IDM_HELP_ASSISTANT_ONOFF   133
#define IDM_HELP_ASSISTANT_OPTIONS 134
#define IDM_HELP_ASSISTANT_SUGGEST 135
#define IDM_HELP_ABOUT          136
#define IDM_OPTIONS_SKIN_LOAD0    1000 // value olways end in IDM_...
#define IDM_OPTIONS_LANG_LOAD0    2000 // value olways end in IDM_...

// acselerator
#define IDA_MINIMIZE        401
#define IDA_PAUSE           402
#define IDA_NEW_GAME        403

#define ID_KEY_AREA_INCREMENT     701
#define ID_KEY_AREA_DECREMENT     702
#define ID_KEY_AREA_MAX           703
#define ID_KEY_AREA_MIN           704

#define ID_KEY_NUM0 800
#define ID_KEY_NUM1 801
#define ID_KEY_NUM2 802
#define ID_KEY_NUM3 803
#define ID_KEY_NUM4 804
#define ID_KEY_NUM5 805
#define ID_KEY_NUM6 806
#define ID_KEY_NUM7 807
#define ID_KEY_NUM8 808
#define ID_KEY_NUM9 809

#define IDC_ABOUT_GROUPBOX    101
#define IDC_ABOUT_PRODUCTNAME 102
#define IDC_ABOUT_VERSION     103
#define IDC_ABOUT_COPYRIGHT   104
#define IDC_ABOUT_COMMENTS    105
#define IDC_ABOUT_RESPONSE    106
#define IDC_ABOUT_ICQ         107
#define IDC_ABOUT_ICQADDRESS  108
#define IDC_ABOUT_FMSITE      109
#define IDC_ABOUT_UKRPOST     110
#define IDC_ABOUT_SITE        111
#define IDC_ABOUT_ICON_PROJ   112
#define IDC_ABOUT_ICON_MAIL   113

#define IDC_INFO_EDIT         101

#define IDC_STATISTICSorCHAMPIONS_TABCONTROL          101
#define IDC_STATISTICSorCHAMPIONS_BUTTON_BEGINNER     102
#define IDC_STATISTICSorCHAMPIONS_BUTTON_AMATEUR      103
#define IDC_STATISTICSorCHAMPIONS_BUTTON_PROFESSIONAL 104
#define IDC_STATISTICSorCHAMPIONS_BUTTON_CRAZY        105
#define IDC_STATISTICSorCHAMPIONS_TABLE               106

#define IDC_INPUTTEXT_EDIT_TEXT           101
#define IDC_INPUTTEXT_EDIT_PASSWORD       102
#define IDC_INPUTTEXT_EDIT_CONFIRMATION   103
#define IDC_INPUTTEXT_STATIC_TEXT         104
#define IDC_INPUTTEXT_STATIC_PASSWORD     105
#define IDC_INPUTTEXT_STATIC_CONFIRMATION 106

#define IDC_ADMINISTRATION_BUTTON_NEWPLAYER      100
#define IDC_ADMINISTRATION_BUTTON_NEWPASSWORD    101
#define IDC_ADMINISTRATION_BUTTON_AVATAR         102
#define IDC_ADMINISTRATION_BUTTON_RENAME         103
#define IDC_ADMINISTRATION_BUTTON_REMOVE         104
#define IDC_ADMINISTRATION_TABLE                 105
#define IDC_ADMINISTRATION_BUTTONCHECK_AUTOSTART 106

#define IDC_SELECTMOSAIC_STATIC_NUMBER 101
#define IDC_SELECTMOSAIC_EDIT          102
#define IDC_SELECTMOSAIC_SPIN          103
#define IDC_SELECTMOSAIC_STATIC_NAME   104
#define IDC_SELECTMOSAIC_COMBOBOX      105

#define IDC_CUSTOMSKILL_GROUPBOX          101
#define IDC_CUSTOMSKILL_STATIC_X          102
#define IDC_CUSTOMSKILL_STATIC_Y          103
#define IDC_CUSTOMSKILL_STATIC_MINE       104
#define IDC_CUSTOMSKILL_EDIT_X            105
#define IDC_CUSTOMSKILL_EDIT_Y            106
#define IDC_CUSTOMSKILL_EDIT_MINE         107
#define IDC_CUSTOMSKILL_SPIN_X            108
#define IDC_CUSTOMSKILL_SPIN_Y            109
#define IDC_CUSTOMSKILL_SPIN_MINE         110
#define IDC_CUSTOMSKILL_FULLSCREEN1       111
#define IDC_CUSTOMSKILL_FULLSCREEN2       112
#define IDC_CUSTOMSKILL_BUTTON_POPUP_MENU 113

#define IDC_TEMPLATESELECTIMAGE_BORDER_IMAGE    101
#define IDC_TEMPLATESELECTIMAGE_INFO_TEXT       102
#define IDC_TEMPLATESELECTIMAGE_BORDER_RESOURCE 103
#define IDC_TEMPLATESELECTIMAGE_LIST_RESOURCE   104

#define IDC_CHANGESKIN_BUTTON_IMAGE_MINE          101
#define IDC_CHANGESKIN_BUTTON_IMAGE_FLAG          102
#define IDC_CHANGESKIN_BUTTON_IMAGE_PAUSE         103
#define IDC_CHANGESKIN_BUTTON_IMAGE_BTNPAUSE      104
#define IDC_CHANGESKIN_BUTTON_IMAGE_BTNNEW        105
#define IDC_CHANGESKIN_BUTTON_IMAGE_BCKGRND       106
#define IDC_CHANGESKIN_BUTTON_COLOR_BCKGRND       107
#define IDC_CHANGESKIN_BUTTON_BORDER              108
#define IDC_CHANGESKIN_BUTTON_COLOR_TEXT          109
#define IDC_CHANGESKIN_BUTTON_TYPE_FONT           110
#define IDC_CHANGESKIN_BUTTON_SELECT              111
#define IDC_CHANGESKIN_BUTTON_SELECT2             112
#define IDC_CHANGESKIN_BUTTON_TRANSPARENTorSETALL 113
#define IDC_CHANGESKIN_STATIC_PLACE               114
#define IDC_CHANGESKIN_STATIC_ALIGMENT            115
#define IDC_CHANGESKIN_RADIO_TOP_LEFT             116
#define IDC_CHANGESKIN_RADIO_TOP_CENTER           117
#define IDC_CHANGESKIN_RADIO_TOP_RIGHT            118
#define IDC_CHANGESKIN_RADIO_MIDDLE_LEFT          119
#define IDC_CHANGESKIN_RADIO_MIDDLE_CENTER        120
#define IDC_CHANGESKIN_RADIO_MIDDLE_RIGHT         121
#define IDC_CHANGESKIN_RADIO_BOTTOM_LEFT          122
#define IDC_CHANGESKIN_RADIO_BOTTOM_CENTER        123
#define IDC_CHANGESKIN_RADIO_BOTTOM_RIGHT         124
#define IDC_CHANGESKIN_RADIO_AS_IS                125
#define IDC_CHANGESKIN_RADIO_UNIFORMLY            126
#define IDC_CHANGESKIN_RADIO_STRETCH              127
#define IDC_CHANGESKIN_RADIO_TILE                 128
#define IDC_CHANGESKIN_BUTTON_RESET               129
#define IDC_CHANGESKIN_BUTTON_FRAME               130
#define IDC_CHANGESKIN_EDIT_VALUE_DESCRIPTION     131
#define IDC_CHANGESKIN_EDIT_VALUE                 132
#define IDC_CHANGESKIN_SPIN_VALUE                 133
#define IDC_CHANGESKIN_SPIN_PREVIEW               134

#define IDC_ASSISTANT_STATIC_FIRST         101
#define IDC_ASSISTANT_STATIC_NEXT          102
#define IDC_ASSISTANT_STATIC_SECOND        103
#define IDC_ASSISTANT_STATIC_MILISECOND    104
#define IDC_ASSISTANT_EDIT_FIRST           105
#define IDC_ASSISTANT_EDIT_NEXT            106
#define IDC_ASSISTANT_SPIN_FIRST           107
#define IDC_ASSISTANT_SPIN_NEXT            108
#define IDC_ASSISTANT_CHECKBOX_AUTOSTART   109
#define IDC_ASSISTANT_CHECKBOX_STOPWORK    110
#define IDC_ASSISTANT_CHECKBOX_IGNOREPAUSE 111
#define IDC_ASSISTANT_BUTTON_FRAME         112

#define IDC_FMTOOBAR_EDIT_MINES   101
#define IDC_FMTOOBAR_EDIT_TIME    102
#define IDC_FMTOOBAR_BUTTON_NEW   103 // IDM_GAME_NEW_GAME
#define IDC_FMTOOBAR_BUTTON_PAUSE 104
#endif // __FILE__IDRESOURCE__
