////////////////////////////////////////////////////////////////////////////////
//                               FastMines project
//                                       Sergey Krivulya (KSerg, aka SeregaLBN)
// file name: "Champions.h"
//
// Copyright (C) 2002-2007 Sergey Krivulya
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////////////

#ifndef __FILE__CHAMPIONS__
#define __FILE__CHAMPIONS__

#include "./Statistics.h"

class CDialogChampions: public CDialogStatisticsOrChampions {
private:
   static int& m_iLastInsertPlayerIndex() { static int i=-1; return i; }//    
public:
   static bool SaveResult(EMosaic mosaic, ESkillLevel skill, int iTime, LPCTSTR szPlayerName);
private:
   int  GetIdCaptionString() { return IDS__CHAMPIONS; }
   SIZE GetFirstSizeDialog() { SIZE size={325,447}; return size; }
   void OnInitTable();
#ifndef _WTL_VER
   void OnSize(HWND, UINT, int, int);
#else // _WTL_VER
   void OnSize(UINT, CSize&);
#endif // _WTL_VER
   void OnChangeTabPage();
};

#endif // __FILE__CHAMPIONS__
